{
  inputs,
  moduleWithSystem,
  ...
}: {
  flake.nixosModules.otter-launcher = moduleWithSystem ({self', ...}: {
    environment.systemPackages = [
      self'.packages.otter-launcher
    ];
  });
  perSystem = {
    pkgs,
    lib,
    self',
    inputs',
    ...
  }: {
    packages = {
      otter-launcher = let
        extra-config = ''
               [overlay]
               overlay_cmd = """
               ${lib.getExe pkgs.chafa} -s 20x20 ${./cat.png}
               """
          # overlay_trimmed_lines = 1
        '';
        final-config = pkgs.writeText "config.toml" ''
          ${builtins.readFile ./config.toml}
          ${extra-config}
        '';
      in
        inputs.wrappers.lib.wrapPackage ({...}: {
          inherit pkgs;
          package = inputs'.otter-launcher.packages.default;
          runtimePkgs = with pkgs; [
            fsel
            bluetui
          ];
          flags = {
            "-c" = final-config;
          };
        });
    };
  };
}
